# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-File-ShareDir-Install
Version:	0.14
Release:	3.%{__distinit}%{__distvers}
Summary:	Install shared files
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/File-ShareDir-Install
Source0:	https://cpan.metacpan.org/modules/by-module/File/File-ShareDir-Install-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::Dir)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Config)
BuildRequires:	perl(CPAN::Meta::YAML)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(Test::More)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
File::ShareDir::Install allows you to install read-only data files from a
distribution. It is a companion module to File::ShareDir, which allows you
to locate these files after installation.

%prep
%setup -q -n File-ShareDir-Install-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/File/
%{_mandir}/man3/File::ShareDir::Install.3*

%changelog
* Fri Apr 14 2023 Paul Howarth <paul@city-fan.org> - 0.14-3
- Use SPDX-format license tag

* Fri Jul  1 2022 Paul Howarth <paul@city-fan.org> - 0.14-1
- Update to 0.14
  - Work around a build issue on Windows (CPAN RT#125571)
- Use %%license unconditionally

* Sat Jun  8 2019 Paul Howarth <paul@city-fan.org> - 0.13-5
- Perl 5.30 rebuild

* Fri Jun 29 2018 Paul Howarth <paul@city-fan.org> - 0.13-2
- Perl 5.28 rebuild

* Mon Apr 23 2018 Paul Howarth <paul@city-fan.org> - 0.13-1
- Update to 0.13
  - Reinstate testrules.yml file to force serialized testing
- BR: perl(CPAN::Meta::YAML) so we can process testrules.yml

* Fri Apr 20 2018 Paul Howarth <paul@city-fan.org> - 0.12-1
- Update to 0.12
  - Add rules files for 'prove' and Test::Harness to specify that tests need to
    be run serially for now
  - Support spaces (and other special characters too) in share files (GH#2)
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Mon Aug  8 2016 Paul Howarth <paul@city-fan.org> - 0.11-1
- Update to 0.11
  - Release with new tooling
- This release by ETHER → update source URL
- BR: perl-generators where available
- Simpify find command using -delete

* Thu Dec 11 2014 Paul Howarth <paul@city-fan.org> - 0.10-1
- Update to 0.10
  - Recurse with $def in _scan_share_dir (CPAN RT#95749)

* Sun Aug 31 2014 Paul Howarth <paul@city-fan.org> - 0.09-2
- Perl 5.20 rebuild

* Tue Jul  8 2014 Paul Howarth <paul@city-fan.org> - 0.09-1
- Update to 0.09
  - Get rid of DB::single
  - Don't do POD tests by default
- Drop %%defattr, redundant since rpm 4.4

* Wed Jan 29 2014 Paul Howarth <paul@city-fan.org> - 0.08-1
- Update to 0.08
  - Tests may now be run in parallel

* Mon Jan 20 2014 Paul Howarth <paul@city-fan.org> - 0.07-1
- Update to 0.07
  - Added delete_share

* Fri Jan 17 2014 Paul Howarth <paul@city-fan.org> - 0.06-1
- Update to 0.06
  - Added $INCLUDE_DOTFILES and $INCLUDE_DOTDIRS

* Sun Sep 15 2013 Paul Howarth <paul@city-fan.org> - 0.05-1
- Import from Fedora
- Update to 0.05
  - Tweak documentation and fix typos

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 20 2013 Petr Pisar <ppisar@redhat.com> - 0.04-6
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 12 2012 Petr Pisar <ppisar@redhat.com> - 0.04-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Aug 28 2011 Iain Arnell <iarnell@gmail.com> 0.04-1
- update to latest upstream
- clean up spec for modern rpmbuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.03-6
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.03-4
- 661697 rebuild for fixing problems with vendorach/lib

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.03-3
- Mass rebuild with perl-5.12.0

* Sun Apr 04 2010 Iain Arnell <iarnell@gmail.com> 0.03-2
- use perl_default_filter and DESTDIR

* Fri Apr 02 2010 Iain Arnell 0.03-1
- Specfile autogenerated by cpanspec 1.78.
